CVE-2018-5803 Detail

Current Description

In the Linux Kernel before version 4.15.8, 4.14.25, 4.9.87, 4.4.121, 4.1.51, and 3.2.102, an error in the "_sctp_make_chunk()" function (net/sctp/sm_make_chunk.c) when handling SCTP packets length can be exploited to cause a kernel crash.


View Analysis Description

Severity



CVSS 3.x Severity and Metrics:

NIST CVSS score
NIST: NVD
Base Score:  5.5 MEDIUM
Vector:  CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H


NVD Analysts use publicly available information to associate vector strings and CVSS scores. We also display any CVSS information provided within the CVE List from the CNA.

Note: NVD Analysts have published a CVSS score for this CVE based on publicly available information at the time of analysis. The CNA has not provided a score within the CVE List.

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
https://access.redhat.com/errata/RHSA-2018:1854 Third Party Advisory 
https://access.redhat.com/errata/RHSA-2018:2948 Third Party Advisory 
https://access.redhat.com/errata/RHSA-2018:3083 Third Party Advisory 
https://access.redhat.com/errata/RHSA-2018:3096 Third Party Advisory 
https://access.redhat.com/errata/RHSA-2019:0641 Third Party Advisory 
https://cdn.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.102 Vendor Advisory 
https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.1.51 Vendor Advisory 
https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.25 Vendor Advisory 
https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.15.8 Vendor Advisory 
https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.4.121 Vendor Advisory 
https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.87 Vendor Advisory 
https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git/commit/?id=07f2c7ab6f8d0a7e7c5764c4e6cc9c52951b9d9c Vendor Advisory 
https://lists.debian.org/debian-lts-announce/2018/05/msg00000.html Third Party Advisory 
https://secuniaresearch.flexerasoftware.com/advisories/81331/ Third Party Advisory 
https://secuniaresearch.flexerasoftware.com/secunia_research/2018-2/ Third Party Advisory 
https://usn.ubuntu.com/3654-1/ Third Party Advisory 
https://usn.ubuntu.com/3654-2/ Third Party Advisory 
https://usn.ubuntu.com/3656-1/ Third Party Advisory 
https://usn.ubuntu.com/3697-1/ Third Party Advisory 
https://usn.ubuntu.com/3697-2/ Third Party Advisory 
https://usn.ubuntu.com/3698-1/ Third Party Advisory 
https://usn.ubuntu.com/3698-2/ Third Party Advisory 
https://www.debian.org/security/2018/dsa-4187 Third Party Advisory 
https://www.debian.org/security/2018/dsa-4188 Third Party Advisory 
https://www.spinics.net/lists/linux-sctp/msg07036.html Mailing List  Third Party Advisory 
https://www.spinics.net/lists/netdev/msg482523.html Mailing List  Third Party Advisory 

Weakness Enumeration

CWE-ID CWE Name Source
CWE-20 Improper Input Validation cwe source acceptance level NIST  

Known Affected Software Configurations Switch to CPE 2.2

CPEs loading, please wait.

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

8 change records found show changes

Quick Info

CVE Dictionary Entry:
CVE-2018-5803
NVD Published Date:
06/12/2018
NVD Last Modified:
03/27/2019
Source:
Flexera Software LLC